/* ********************************************************************************************
   ******************************** Gestionnaire d'evenement **********************************
   ******************************************************************************************** */

// ------------------------- Gestionnaire d'vnements de la fentre --------------------------
LRESULT CALLBACK WindowProc(HWND hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
	// Le reste des messages au gestionnaire par dfaut
	return DefWindowProc(hwnd, Msg, wParam, lParam);
}

// -------------------- Le gestionnaire d'vnements de la bote de dialogue -----------------
LRESULT CALLBACK DlgProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)  
{
	RECT  rc;
	
	switch(msg)
	{
		// ///////////// Initialisation ///////////////
		case WM_INITDIALOG:
		{
			// Centre de l'cran
			GetWindowRect( hwnd, &rc );
			SetWindowPos( hwnd, HWND_TOP,
						(GetSystemMetrics(SM_CXSCREEN) - rc.right)  / 2,
						(GetSystemMetrics(SM_CYSCREEN) - rc.bottom) / 2,
						0, 0, SWP_NOSIZE);

			break;
		}

		// /////////////// Commande /////////////////
		case WM_COMMAND: 
		{                                                       
			switch(LOWORD(wParam))
			{
				case IDC_LOAD:       // Charger
				{
                    Chargement(hwnd);
                    SendDlgItemMessage(hwnd, IDC_PROGRESS, PBM_SETPOS, (WPARAM) 0, 0);
					break;
				}

				case ID_CONVERTIR:   // Convertir
				{
					Convertir(hwnd);
					break;
				}	

				case ID_QUIT:        // Quitter
				{
				   EndDialog(hwnd, FALSE);
				   break;
				}
			}
			break;
		}
        default: 	
			return FALSE; 
     }
     return TRUE; 
}
